
package de.ivu.elect.business;

import javax.inject.Inject;

import de.ivu.elect.business.personenpruefung.boundary.PersonenPruefungStarter;
import de.ivu.elect.jee.startup.PostStartup;
import de.ivu.elect.jee.startup.PostStartupAsync;

public class PersonenPuefungPostStartup implements PostStartupAsync {

  @Inject
  private transient PersonenPruefungStarter personenPruefungStarter;

  @Override
  public void postStartup() {
    invokePersonenPruefung();
  }

  private void invokePersonenPruefung() {
    personenPruefungStarter.startePersonenPruefung();
  }
}
